# isActuallyInCreation abstract method

bool isActuallyInCreation(

1. String podName

)

Checks if a pod with the given name is currently being created.

This method is used internally to detect circular dependencies during pod creation.

## Usage Example:

    if (factory.isCurrentlyInCreation('complexService')) {
      print('complexService is currently being created - possible circular reference');
    }

@param podName The name of the pod to check @return true if the pod is currently being created

## Implementation

    bool isActuallyInCreation(String podName);